%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	An image viewer and browser for GNOME
Name:		gthumb
Version:	3.4.3
Release:	1
License:	GPLv2+
Group:		Graphics
Url:		http://gthumb.sourceforge.net/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	GConf2
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libbrasero-burn3)
BuildRequires:	pkgconfig(libopenraw-1.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libsoup-gnome-2.4)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sm)
BuildRequires:	yelp-tools
BuildRequires:	%{_lib}secret-devel
Requires:	gsettings-desktop-schemas


%description
gThumb lets you browse your hard disk, showing you thumbnails of image files.
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more.

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/GConf/gsettings/gthumb.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gthumb
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/appdata/*.xml
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/extensions/
%{_libdir}/%{name}/extensions/*.extension
%{_libdir}/%{name}/extensions/*.so
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%package devel
Summary:	Header files for building %{name} extensions
Group:		Development/C

%description devel
gThumb lets you browse your hard disk, showing you thumbnails of image files.
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more.

%files devel
%doc ChangeLog
%{_includedir}/%{name}-*/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gthumb.m4

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name




%changelog

* Fri Aug 05 2016 Victor Ryzhikh <victorr2007@yandex.ru> 3.4.3-1
- (7a31a6b) Updated to version 3.4.3


